export interface ScriptProperties {
    /** Script parameters. */
    parameters?: Record<string, string>;
    /** Whether script is disabled or not. Default: `false` (not disabled). */
    disabled?: boolean;
}
export interface EmbedScriptRequest {
    /** Details of the script to embed. */
    properties: ScriptProperties;
    /** Component ID of the embedded script. Available as a query parameter in the embedded script's extension page in the app dashboard. */
    componentId?: string | null;
}
export interface EmbedScriptResponse {
    /** Details of the embedded script. */
    properties?: ScriptProperties;
}
export interface GetEmbeddedScriptRequest {
    /** Component ID of the embedded script to retrieve. Available as a query parameter in the embedded script's extension page in the app dashboard. */
    componentId?: string | null;
}
export interface GetEmbeddedScriptResponse {
    /** Details of the retrieved embedded script. */
    properties?: ScriptProperties;
}
export interface EmbedScriptByInstanceIdRequest {
    instanceId?: string;
    /** Parameters to embed */
    properties?: ScriptProperties;
    componentId?: string | null;
}
export interface GetEmbeddedScriptByInstanceIdRequest {
    instanceId?: string;
    componentId?: string | null;
}
interface ScriptPropertiesNonNullableFields {
    disabled: boolean;
}
export interface EmbedScriptResponseNonNullableFields {
    properties?: ScriptPropertiesNonNullableFields;
}
export interface GetEmbeddedScriptResponseNonNullableFields {
    properties?: ScriptPropertiesNonNullableFields;
}
export {};
